Bug 948975 (CVE-2013-1931)

Summary: CVE-2013-1931 mantis: XSS when deleting a version
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: NEW --- QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: extras-orphan, giallu, sven
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20130215,reported=20130404,source=oss-security,cvss2=4.3/AV:N/AC:M/Au:N/C:N/I:P/A:N,fedora-all/mantis=affected,epel-5/mantis=affected,cwe=CWE-79[auto]
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 948995, 948997    
Bug Blocks:    

Description Jan Lieskovsky 2013-04-05 11:05:20 EDT
A cross-site scripting (XSS) flaw was found in the way MantisBT, a web-based issue tracking system, sanitized content of the version name, when deleting a project version. A remote attacker could provide a specially-crafted URL that, when visited would lead to arbitrary HTML or web script execution in the context of the MantisBT user's session.

References:
[1] http://www.openwall.com/lists/oss-security/2013/04/04/8

Upstream ticket:
[2] http://www.mantisbt.org/bugs/view.php?id=15511

Upstream patches:
[3] http://github.com/mantisbt/mantisbt/commit/8b13da010c1bc921f011fbe40ee8acf9cd34eb55 (against 1.2.x)
[4] http://github.com/mantisbt/mantisbt/commit/44e140e9f634266d0a2f3101a9f2809a97702138 (against master)
Comment 1 Jan Lieskovsky 2013-04-05 11:09:03 EDT
This issue affects the versions of the mantis package, as shipped with Fedora release of 17 and 18. Please schedule an update.

--

This issue affects the version of the mantis package, as shipped with Fedora EPEL-5. Please schedule an update.
Comment 2 Jan Lieskovsky 2013-04-05 11:41:00 EDT
Created mantis tracking bugs for this issue

Affects: fedora-all [bug 948995]
Comment 3 Jan Lieskovsky 2013-04-05 11:43:00 EDT
Created mantis tracking bugs for this issue

Affects: epel-5 [bug 948997]
Comment 4 Jan Lieskovsky 2013-04-09 05:54:53 EDT
The CVE identifier of CVE-2013-1931 has been assigned to this issue:
  http://www.openwall.com/lists/oss-security/2013/04/06/4
Comment 5 Fedora Update System 2013-04-24 20:32:20 EDT
mantis-1.2.15-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-04-24 20:47:11 EDT
mantis-1.2.15-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-08-04 19:02:15 EDT
mantis-1.2.15-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.